[问题]crossftp server 进不去

为当前最终发行版之前的所有版本提供支持
回复
chao1414
帖子: 15
注册时间: 2007-05-16 21:39
送出感谢: 0
接收感谢: 0

[问题]crossftp server 进不去

#1

帖子 chao1414 » 2007-08-04 16:32

请弟兄们帮我解答一下,先谢了!
附件
Screenshot.png
chao1414
帖子: 15
注册时间: 2007-05-16 21:39
送出感谢: 0
接收感谢: 0

#2

帖子 chao1414 » 2007-08-06 10:17

能帮帮我吗?
morningboat
帖子: 179
注册时间: 2006-06-09 20:31
送出感谢: 0
接收感谢: 0

#3

帖子 morningboat » 2007-08-07 23:12

请把你的异常贴出来,否则帮不了你。 也就是选“异常”标签,然后拷贝粘帖到这里。
chao1414
帖子: 15
注册时间: 2007-05-16 21:39
送出感谢: 0
接收感谢: 0

#4

帖子 chao1414 » 2007-08-22 9:37

异常代码:
java.lang.NullPointerException
at javax.swing.MultiUIDefaults.getUIError(MultiUIDefaults.java:117)
at javax.swing.UIDefaults.getUI(UIDefaults.java:736)
at javax.swing.UIManager.getUI(UIManager.java:1012)
at javax.swing.JPanel.updateUI(JPanel.java:109)
at javax.swing.JPanel.<init>(JPanel.java:69)
at javax.swing.JPanel.<init>(JPanel.java:92)
at javax.swing.JPanel.<init>(JPanel.java:100)
at javax.swing.JRootPane.createGlassPane(JRootPane.java:527)
at javax.swing.JRootPane.<init>(JRootPane.java:347)
at javax.swing.JFrame.createRootPane(JFrame.java:260)
at javax.swing.JFrame.frameInit(JFrame.java:241)
at javax.swing.JFrame.<init>(JFrame.java:164)
at org.apache.ftpserver.gui.ServerFrame.<init>(ServerFrame.java:268)
at org.apache.ftpserver.gui.ServerFrame.main(ServerFrame.java:569)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at com.sun.javaws.Launcher.executeApplication(Launcher.java:1205)
at com.sun.javaws.Launcher.executeMainClass(Launcher.java:1151)
at com.sun.javaws.Launcher.doLaunchApp(Launcher.java:998)
at com.sun.javaws.Launcher.run(Launcher.java:105)
at java.lang.Thread.run(Thread.java:619)

先谢了!
morningboat
帖子: 179
注册时间: 2006-06-09 20:31
送出感谢: 0
接收感谢: 0

#5

帖子 morningboat » 2007-08-23 1:04

你是不是自己安装了额外的Look & Feel (L&F)? 看上去错误是因为你的java系统的L&F不能正确的支持一些UI。 需要选择一个支持良好的Java L&F,去掉第三方的L&F应该就可以了。
回复

回到 “老旧版本支持”